summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-08-13 18:03:52 +1000
committerMichael Palimaka <kensington@gentoo.org>2017-08-13 18:05:15 +1000
commit1534b3352a08d2cc811f7d8dd2f8b08733392cd2 (patch)
tree5f3abf4a1d0fa2fd54ecdc46cae119781b9f9150 /net-nntp
parentnet-nntp/kwooty: remove obsolete upstream remote-id (diff)
downloadgentoo-1534b3352a08d2cc811f7d8dd2f8b08733392cd2.tar.gz
gentoo-1534b3352a08d2cc811f7d8dd2f8b08733392cd2.tar.bz2
gentoo-1534b3352a08d2cc811f7d8dd2f8b08733392cd2.zip
net-nntp/kwooty: add KF5 snapshot
Package-Manager: Portage-2.3.6, Repoman-2.3.3
Diffstat (limited to 'net-nntp')
-rw-r--r--net-nntp/kwooty/Manifest1
-rw-r--r--net-nntp/kwooty/kwooty-1.1.0_p20150623.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/net-nntp/kwooty/Manifest b/net-nntp/kwooty/Manifest
index 95fa8d9e9a4..2912d237ad4 100644
--- a/net-nntp/kwooty/Manifest
+++ b/net-nntp/kwooty/Manifest
@@ -1 +1,2 @@
DIST kwooty-1.1.0.tar.gz 304450 SHA256 578d0e976edd3ccbea6dabd486878a2b0b357d4b69884865eb4149b3a5564981 SHA512 54e93b54045104f89b56fd670677708439bf18dae42f00d6c2fcf546802aa9eeab3a47c0a16e259ba081eacdb57e176fd48ec25dbaf53037898d85f63d959ab5 WHIRLPOOL 7ed200a37f719cb05398fb7f787c6c6c4888dcf66e260032878d8dada3604c8b60f2da47373545e8ef04c3bc191acb5bd3f8940308f040cca8385f1779589f90
+DIST kwooty-1.1.0_p20150623.tar.xz 174824 SHA256 23e411a7f891a95d68b063a282199c098dbfe119c096806e40665e78a9918f56 SHA512 bca5d516ba705bed35b7834ac6d70ddb581a2de869c1ea6273aae7e13f1c7f9af5c7808003879238c9af0386a73d78e18b09951b8cfdb67011870b151887c376 WHIRLPOOL 09322411241188c42a9567b08098b0ec6ae77171de1112035140cce059bf9a4f2c0694b36cb20b0a54ef841587bf1e5ec59e6198e737f0a6cfddb3a6bb58dd57
diff --git a/net-nntp/kwooty/kwooty-1.1.0_p20150623.ebuild b/net-nntp/kwooty/kwooty-1.1.0_p20150623.ebuild
new file mode 100644
index 00000000000..63904060a2a
--- /dev/null
+++ b/net-nntp/kwooty/kwooty-1.1.0_p20150623.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Friendly nzb linux usenet binary client"
+HOMEPAGE="https://www.linux-apps.com/content/show.php/Kwooty?content=114385"
+SRC_URI="https://dev.gentoo.org/~kensington/distfiles/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdelibs4support)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwallet)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ !net-nntp/kwooty:4
+"
+
+src_prepare() {
+ kde5_src_prepare
+
+ sed -i -e "/KF5DocTools/d" CMakeLists.txt || die
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version "app-arch/par2cmdline" ; then
+ elog "For automatic file repairing please install app-arch/par2cmdline."
+ fi
+
+ if ! has_version "app-arch/unrar" ; then
+ elog "For automatic RAR archive extraction please install app-arch/unrar."
+ fi
+
+ if ! has_version "app-arch/p7zip" ; then
+ elog "For automatic (7)zip archive extraction please install app-arch/p7zip."
+ fi
+}